#include "boarddefs.h"   //Добавочная библиотека
#include "IRremote.h"
#include "IRremoteInt.h" //Добавочная библиотека

int RECV_PIN = 2;        //Пин подключения выходного сигнала с ИК-приёмника

//Создаём экземпляр класса IRrecv, в качестве параметра передаём пин подключения сигнала ИК-приёмника
IRrecv irrecv(RECV_PIN);  

decode_results results;   //Переменная для сохранения полученного кода нажатой кнопки

void setup()
{
  Serial.begin(9600);
  irrecv.enableIRIn();     //Включение ИК-приёмника в работу
}

void loop()
{
  if (irrecv.decode(&results))             //Если произошло событие/кнопка была нажата
  {
    Serial.println(results.value, HEX);    //Выводим в монитор порта код нажатой кнопки в шестнадцатиричном виде
    irrecv.resume();                       //Считываем следующую значение/кнопку
  }
  delay(200);
}


